Announcement

Collapse
No announcement yet.

Gallium R600 with only OpenGL 3.0 support.

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Gallium R600 with only OpenGL 3.0 support.

    Using xserver 1.13 (OpenSUSE 12.3) and kernel 3.8.4
    mesa, xf86video-ati and libdrm form trunk.
    Installed LLVM3.3svn also.
    But still have:

    OpenGL vendor string: X.Org
    OpenGL renderer string: Gallium 0.4 on AMD BARTS
    OpenGL version string: 3.0 Mesa 9.2.0 (git-21a2dfa)
    OpenGL shading language version string: 1.30
    OpenGL extensions:

    What is wrong on my system?
    Thanks.

  • #2
    Check what version of mesa-demos you have installed. To get OpenGL 3.1 you need to create a core context, which means running "glxinfo -c", which only became a valid option with the latest release of mesa-demos.
    Last edited by archibald; 03-27-2013, 04:13 AM.

    Comment


    • #3
      Your glxinfo is outdated. You don't even need the -c option, it just prints 2 extension list: the old one and the one for the core context.

      Comment


      • #4
        Ah. So I have OpenGL 3.1. Happy to hear that.
        Thanks for the hint.

        Comment

        Working...
        X